


typedef struct{
	int x;
	int y;
} Point;

typedef struct {
    int npts;
    vector<double> A;
    //		int iStart;
    //		int iEnd;
    double aMax;
    double aMin;
    bool visible;
} Wave;
//};

typedef Wave* pWave;

class CGraph
{
public:
    CGraph(void);
    ~CGraph(void);
    
    int OpenFile(char* sFileName, int nTraces);        
    int ReadBinaryDataFile(char* strFileName, int nt);
    //		int ReadTextDataFile(string strFileName, int nt);        
    int	CountTraceNumberB(char* filename);
    //		int	CountTraceNumberT(string filename);
    
    int makeWaves(void);
    void findMinMax();
    void fullGraph();
    void findXRange(double lower, double upper);
    
    
    int ntraces;
    int nwaves;   // = ntrances + 1
    int npts;
    
//    Wave* W;
    
    vector<Wave> W;
//    vector<int> AW;
    int XAxisNo;
    
//    string xLabel;
//    string yLabel;
    
    int XPStart;         // the first displayed point
    int XPEnd;
    int Points;         // number of displayed points
    double XOrigin;     // starting x value
    double XDelta;      // x increment
    double XMin;        // limits of graph
    double XMax;
    double YMin;
    double YMax;
    double TheYMin;
    double TheYMax;
    
    
};