

enum GC_COLOR { GC_GRAY, GC_RED, GC_GREEN, GC_BLUE, GC_ORANGE, GC_DARKBLUE, GC_YELLOW, GC_PURPLE, GC_BLACK};

class CGraph;

class CGraphView
{
    
public:
    CGraphView(void);
    ~CGraphView();
    
public:
    CGraph* pGraph;
    
    bool m_bMultiColor;
    int penColor;
protected:
    bool penDownFlag;
    bool lineDrawn;
    //		Point originPoint,endPoint;
    
    //		Point startPoint;
    //		Rectangle theRectangle;
    
    double cXScaleFactor;
    double cYScaleFactor;
    
    int cXOffset;
    int cYOffset;
    double rXMin;
    double rXMax;
    double rYMin;
    double rYMax;
    
    
public:
    int cXScale(double x );
    int cYScale(double y);
    double autoRange(double ZMin,double ZMax);
    double cXScaleBack(int ix);
    double cYScaleBack(int iy);
    int cXScaleBackInt(int ix);

    void drawTrace();
    void changeMode(int iaxis);
    
    void setPenColor(int cl);

    void fullWaves(); 

    void drawAxis(int w, int h);
    void drawLine(int x0, int y0, int x1, int y1);

    void mouseUp(int x0, int y0, int x1, int y1);
    void mouseUpRight(int x0, int y0, int x1, int y1);
};